info.bioinfweb.jphyloio.dataadapters.implementations.store

## Class StoreTreeNetworkDataAdapter

- java.lang.Object
- - info.bioinfweb.jphyloio.dataadapters.implementations.store.StoreAnnotatedDataAdapter<LinkedLabeledIDEvent>
  - - info.bioinfweb.jphyloio.dataadapters.implementations.store.StoreTreeNetworkDataAdapter

- All Implemented Interfaces:
    AnnotatedDataAdapter, ElementDataAdapter<LabeledIDEvent>, TreeNetworkDataAdapter

      public class StoreTreeNetworkDataAdapter
      extends StoreAnnotatedDataAdapter<LinkedLabeledIDEvent>
      implements TreeNetworkDataAdapter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoreTreeNetworkDataAdapter(LabeledIDEvent startEvent, boolean isTree, java.util.List<JPhyloIOEvent> annotations)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StoreObjectListDataAdapter<EdgeEvent>` | `getEdges(ReadWriteParameterMap parameters)` Returns the set of edges contained in this tree or network.
    `ObjectListDataAdapter<LinkedLabeledIDEvent>` | `getNodeEdgeSets(ReadWriteParameterMap parameters)` Returns a list of node-and-edge-sets defined for the tree modeled by this instance.
    `StoreObjectListDataAdapter<NodeEvent>` | `getNodes(ReadWriteParameterMap parameters)` Returns the set of nodes contained in this tree or network.
    `LabeledIDEvent` | `getStartEvent(ReadWriteParameterMap parameters)` Returns the start event of this data element.
    `boolean` | `isTree(ReadWriteParameterMap parameters)` Determines whether this instance represents a phylogenetic tree or a phylogenetic network.

    - ### Methods inherited from class info.bioinfweb.jphyloio.dataadapters.implementations.store.StoreAnnotatedDataAdapter

      `getAnnotations, writeMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface info.bioinfweb.jphyloio.dataadapters.AnnotatedDataAdapter

      `writeMetadata`

- - ### Constructor Detail

    - #### StoreTreeNetworkDataAdapter

          public StoreTreeNetworkDataAdapter(LabeledIDEvent startEvent,
                                             boolean isTree,
                                             java.util.List<JPhyloIOEvent> annotations)

  - ### Method Detail

    - #### getStartEvent

          public LabeledIDEvent getStartEvent(ReadWriteParameterMap parameters)

      Description copied from interface: `ElementDataAdapter`
      Returns the start event of this data element. The returned event can be used to determine the label and ID of the modeled data element or an optionally linked data element.
      Specified by:
        `getStartEvent` in interface `ElementDataAdapter<LabeledIDEvent>`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        the start event of this data element

    - #### isTree

          public boolean isTree(ReadWriteParameterMap parameters)

      Description copied from interface: `TreeNetworkDataAdapter`
      Determines whether this instance represents a phylogenetic tree or a phylogenetic network. (Not all formats accept networks.)
      Specified by:
        `isTree` in interface `TreeNetworkDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        `true` if this instance represents a tree or `false` otherwise

    - #### getNodes

          public StoreObjectListDataAdapter<NodeEvent> getNodes(ReadWriteParameterMap parameters)

      Description copied from interface: `TreeNetworkDataAdapter`
      Returns the set of nodes contained in this tree or network.
      Specified by:
        `getNodes` in interface `TreeNetworkDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        a list of all nodes

    - #### getEdges

          public StoreObjectListDataAdapter<EdgeEvent> getEdges(ReadWriteParameterMap parameters)

      Description copied from interface: `TreeNetworkDataAdapter`
      Returns the set of edges contained in this tree or network. All nodes referenced by these edges are contained on `TreeNetworkDataAdapter.getEdges(ReadWriteParameterMap)`.
      Specified by:
        `getEdges` in interface `TreeNetworkDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        a list of all edges

    - #### getNodeEdgeSets

          public ObjectListDataAdapter<LinkedLabeledIDEvent> getNodeEdgeSets(ReadWriteParameterMap parameters)

      Description copied from interface: `TreeNetworkDataAdapter`
      Returns a list of node-and-edge-sets defined for the tree modeled by this instance.
      Specified by:
        `getNodeEdgeSets` in interface `TreeNetworkDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        a (possibly empty) list of node-edge-sets